# $Revision: 1.19 $, $Date: 2008/11/05 23:29:23 $
Summary:	X Evie extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Evie
Name:		xorg-lib-libXevie
Version:	1.0.2
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXevie-%{version}.tar.bz2
# Source0-md5:	88e9bf535364e7c821ef4014fb1ca2dd
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-evieext-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Evie extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Evie.

%package devel
Summary:	Header files for libXevie library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXevie
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-evieext-devel

%description devel
X Evie extension library

This package contains the header files needed to develop programs that
use libXevie.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Evie.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXevie.

%package static
Summary:	Static libXevie library
Summary(pl.UTF-8):	Biblioteka statyczna libXevie
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
X Evie extension library

This package contains the static libXevie library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Evie.

Pakiet zawiera statyczną bibliotekę libXevie.

%prep
%setup -q -n libXevie-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXevie.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXevie.so
%{_libdir}/libXevie.la
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xevie.pc
%{_mandir}/man3/*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXevie.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXevie.spec,v $
Revision 1.19  2008/11/05 23:29:23  arekm
- release 5

Revision 1.18  2008/07/27 23:04:23  arekm
- release 4

Revision 1.17  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/10/14 14:37:28  qboosh
- updated to 1.0.2, release 1

Revision 1.12  2006/04/27 06:52:40  arekm
- up to 1.0.1

Revision 1.11  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.10  2005/12/20 12:27:09  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.9  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.8  2005/12/04 11:01:29  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.5  2005/10/20 19:55:32  qboosh
- 0.99.2 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Fri Aug 12 2005 23:37:59  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: libX11-devel, xextproto-devel, xproto-devel
- removed redundant R: libX11-devel, xextproto-devel, xproto-devel from devel
- release 0.03

* Fri Aug 12 2005 10:22:41  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed descriptions
- defined %%{_prefix}
- added %%doc
- release 0.02

* Fri Aug  5 2005 12:21:03  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
